	function UsuariosGetAll() {
		$.ajax({
				type: 'POST',
			   	url: 'option.php',
			   	data: 	{
							"type" 			: "usuario",
							"opcion" 		: "all"
			       		},
			   success: function(data) {
			   		jQuery('#tableContent').html(data);

					jQuery('#tablaUsuarios').DataTable({
						responsive: true
					});
			   }
			  
			});
	}

	function nuevoUsuario() {
		jQuery("#ModalUsuarioLabel").html("Nuevo Usuario");
		jQuery("#ModalUsuario").modal("show");


			jQuery("#editarUsuario").hide();
			jQuery("#crearUsuario").show();

			jQuery("#username").prop('disabled', false);
		   	jQuery("#nombreUsuarioGroup").hide();
		   	jQuery("#contrasenaGroup").show();

				jQuery("#username").val("");
				jQuery("#estadoUsuario").prop('checked',false);
			
			jQuery("#nombreUsuario").val("");
			jQuery("#apellidoUsuario").val("");
			jQuery("#emailUsuario").val("");
			jQuery("#telefonoUsuario").val("");
			jQuery("#cargoUsuario").val("");
			jQuery("#idRol").val("");
			jQuery("#contrasena").val("");
	}

	function editarUsuario(idUsuario) {
		jQuery("#ModalUsuarioLabel").html("Editar Usuario");
		jQuery("#editarUsuario").show();
		jQuery("#crearUsuario").hide();

			jQuery("#contrasena").val("");
		   	jQuery("#contrasenaGroup").hide();


		$.ajax({
			type: 'POST',
		   	url: 'option.php',
		   	dataType: 'json',
		   	data: 	{
						"type" 			: "usuario",
						"opcion" 		: "one",
						"idUsuario"		: idUsuario
		       		},
		   success: function(data) {

		   	jQuery("#username").val(data.username);
		   	jQuery("#username").prop('disabled', true);

		   	jQuery("#nombreUsuarioGroup").show();
			jQuery("#estadoUsuario").prop('checked',data.estado);
			jQuery("#nombreUsuario").val(data.nombre);
			jQuery("#apellidoUsuario").val(data.apellido);
			jQuery("#emailUsuario").val(data.email);
			jQuery("#telefonoUsuario").val(data.telefono);
			jQuery("#cargoUsuario").val(data.cargo);
			jQuery("#idRol").val(data.rol);
			jQuery("#ModalUsuario").modal("show");
			

		   }
		  
		});
		
	}


$(function(){

	UsuariosGetAll();

$("#creacionUsuarioForm").bootstrapValidator({
 
	 message: 'Este valor no es valido',
 
	 feedbackIcons: {
 
		 valid: 'glyphicon glyphicon-ok',
 
		 invalid: 'glyphicon glyphicon-remove',
 
		 validating: 'glyphicon glyphicon-refresh'
 
	 },
 
	 fields: {
 
		 nombreUsuario: {
 
			 validators: {
 
				 notEmpty: {
 
					 message: 'Debe ingresar el Nombre'
 
				 }
 
			 }
 
		 }
 
	 }
 
});

/*
	.validate({
		rules: {
			nombreUsuario: { 
				required   : true
			}
		},
		messages: {
			nombreUsuario: { 
				required   : 'Ingrese el Nombre'
			}			
		},
		submitHandler: function(form){

			//verificar_usuario();
			
		},
		highlight: function(element) {
			$(element).closest('div').addClass('has-error');
		},
		unhighlight: function(element) {
			$(element).closest('div').removeClass('has-error');
		},
		errorElement: 'span',
		errorClass: 'help-block'
	});

*/

		
		
 function creacionUsuario() {
 	$.ajax({
			type: 'POST',
		   	url: 'option.php',
		   	dataType: 'json',
		   	data: $("#creacionUsuarioForm").serialize(),
		   success: function(data) {

		   		if( data.status == 'error' ) {

		      		toastr['error'](data.message, accion);
			    } else {
			        toastr['success'](data.message, accion);
			        jQuery("ModalUsuario").modal("hide");
			        UsuariosGetAll();
			    }
		   		
		   },
		  
		});
 }
		

	$( "#editarUsuario" ).click(function() {
		
		var accion = "Edición de Usuario";


		var idRol 				= jQuery("#idRol").val();
		var idUsuario 			= jQuery("#idUsuario").val();
		var estado 				= jQuery("#estado").is(':checked');

		if(idRol == ""){
			toastr['warning']("Selecciona el Rol, no puede ser vacio.", accion);
			return false;
		}

		var nombreUsuario 		= jQuery("#nombreUsuario").val();
		if(nombreUsuario == ""){
			toastr['warning']("Nombre no puede ser vacio.", accion);
			return false;
		}

		var apellidoUsuario 	= jQuery("#apellidoUsuario").val();
		if(apellidoUsuario == ""){
			toastr['warning']("Apellido no puede ser vacio.", accion);
			return false;
		}

		var emailUsuario 		= jQuery("#emailUsuario").val();
		if(emailUsuario == ""){
			toastr['warning']("El Correo no puede ser vacio.", accion);
			return false;
		}

		var telefonoUsuario 	= jQuery("#telefonoUsuario").val();
		if(telefonoUsuario == ""){
			toastr['warning']("Teléfono no puede ser vacio.", accion);
			return false;
		}

		var cargoUsuario 	= jQuery("#cargoUsuario").val();
		if(cargoUsuario == ""){
			toastr['warning']("El Cargo no puede ser vacio.", accion);
			return false;
		}
		
		

		$.ajax({
			type: 'POST',
		   	url: 'option.php',
		   	dataType: 'json',
		   	data: 	{
						"type" 			: "usuario",
						"opcion" 		: "edit",
						"idRol"			: idRol,
						"estado"		: estado,
						"idUsuario"		: idUsuario,
						"nombre" 		: nombreUsuario,
						"apellido" 		: apellidoUsuario, 
						"email" 		: emailUsuario,
						"telefono" 		: telefonoUsuario, 
						"cargo" 		: cargoUsuario
		       		},
		   success: function(data) {

		   		if( data.status == 'error' ) {

		      		toastr['error'](data.message, accion);
			    } else {
			        toastr['success'](data.message, accion);
			        jQuery("ModalUsuario").modal("hide");
			        UsuariosGetAll();
			    }
		   		
		   },
		  
		});
	});


toastr.options = {
  "closeButton": true,
  "debug": false,
  "newestOnTop": false,
  "progressBar": false,
  "positionClass": "toast-bottom-right",
  "preventDuplicates": false,
  "onclick": null,
  "showDuration": "300",
  "hideDuration": "1000",
  "timeOut": "5000",
  "extendedTimeOut": "1000",
  "showEasing": "swing",
  "hideEasing": "linear",
  "showMethod": "fadeIn",
  "hideMethod": "fadeOut"
}


});



 